MediaWiki

Common.css: Difference between revisions

From Mark Twain in the German Language Press

mNo edit summary
mNo edit summary
 
(47 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
/* ##### CSS placed here will be applied to all skins ##### */


/*Add color coding for translation changes (article pages)*/
/* ##### ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ##### */
.translationInsert {
.translationInsert {
     color: seagreen;
     color: seagreen;
}
}
   
.translationOmission {
.translationOmission {
     color: crimson;
     color: crimson;
}
}
   
.translationChange {
.translationChange {
     color: royalblue;
     color: royalblue;
}
}


/* Text styling for .translationtable */
/* ##### STYLING FOR .translationTable (ON ARTICLE PAGES) ##### */
.translationtable td {
.translationTable td {
vertical-align: top;
vertical-align: top;
}
/* ##### STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ##### */
.articleNote,
.collectionNote {
margin-bottom: 20px;
}
/* ##### STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ##### */
.translationChanges,
.overviewExplanatoryNote {
margin-bottom: 20px;
margin-top: 20px;
padding: 1em;
background: #f8f9fa;
border-radius: 3px;
border: 1px solid #ccc;
}
/* ##### STYLING FOR .datatable (ON OVERVIEW PAGES) ##### */
    /* ##### STYLING FOR HEADER ROW WITH SEARCH INPUT FIELDS ##### */
.datatable > thead:nth-child(2) th {
padding: 0 5px;
}
.datatable input::placeholder {
font-weight: normal;
}
    /* ##### STYLING FOR "ENTRIES PER PAGE" DROP DOWN ##### */
.dt-container .dt-input{
min-width: 50px;
}
    /* ##### STYLING FOR "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-logicContainer {
background: transparent !important;
background-color: transparent !important;
}
    /* ##### STYLING FOR "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-dropDown {
height: auto !important;
min-width: 6em !important;
}
.dtsb-searchBuilder .dtsb-input {
display: inline;
}
/* ##### STYLING FOR #articleOverview TABLE (ON OVERVIEW PAGES) ##### */
#articleOverview th,
#articleOverview td {
font-size: 14px;
}
    /* ##### STYLING FOR TABLEROWS WITH TYPE "N" ##### */
#articleOverview tr:has(.n) td {
color: #818589 !important;
}
#articleOverview tr:has(.n) td a {
color: #60D8FF !important;
}
/* ##### STYLING FOR .topicLinkList (ON TOPIC PAGES) ##### */
.topicLinkList {
margin-bottom: 20px;
}
.topicLinkList ul {
list-style: inside;
}
/* ##### STYLING FOR IMAGE MARGINS TO BE NARROWER (IN THUMBNAIL, FRAME, AND FRAMELESS FORMAT) ##### */
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Frame"] {
margin: 0.5em 0 0 1.4em;
}
figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Frame"].mw-halign-left {
margin: 0.5em 1.4em 0 0;
}
figure[typeof~="mw:File/Frameless"].mw-halign-right {
margin: 0 0 0 1em;
}
figure[typeof~="mw:File/Frameless"].mw-halign-left {
margin: 0 1em 0 0;
}
}

Latest revision as of 10:23, 23 September 2025

/* ##### CSS placed here will be applied to all skins ##### */

/* ##### ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ##### */
.translationInsert {
    color: seagreen;
}
.translationOmission {
    color: crimson;
}
.translationChange {
    color: royalblue;
}

/* ##### STYLING FOR .translationTable (ON ARTICLE PAGES) ##### */
.translationTable td {
	vertical-align: top;
}

/* ##### STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ##### */
.articleNote,
.collectionNote {
	margin-bottom: 20px;
}

/* ##### STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ##### */
.translationChanges,
.overviewExplanatoryNote {
	margin-bottom: 20px;
	margin-top: 20px;
	padding: 1em;
	background: #f8f9fa;
	border-radius: 3px;
	border: 1px solid #ccc;
}

/* ##### STYLING FOR .datatable (ON OVERVIEW PAGES) ##### */
    /* ##### STYLING FOR HEADER ROW WITH SEARCH INPUT FIELDS ##### */
.datatable > thead:nth-child(2) th {
	padding: 0 5px;
}
.datatable input::placeholder {
	font-weight: normal;
}

    /* ##### STYLING FOR "ENTRIES PER PAGE" DROP DOWN ##### */
.dt-container .dt-input{
	min-width: 50px;
}

    /* ##### STYLING FOR "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-logicContainer {
	background: transparent !important;
	background-color: transparent !important;
}
    /* ##### STYLING FOR "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-dropDown {
	height: auto !important;
	min-width: 6em !important;
}
.dtsb-searchBuilder .dtsb-input {
	display: inline;
}

/* ##### STYLING FOR #articleOverview TABLE (ON OVERVIEW PAGES) ##### */
#articleOverview th,
#articleOverview td {
	font-size: 14px;
}
    /* ##### STYLING FOR TABLEROWS WITH TYPE "N" ##### */
#articleOverview tr:has(.n) td {
	color: #818589 !important;
}
#articleOverview tr:has(.n) td a {
	color: #60D8FF !important;
}

/* ##### STYLING FOR .topicLinkList (ON TOPIC PAGES) ##### */
.topicLinkList {
	margin-bottom: 20px;
}
.topicLinkList ul {
	list-style: inside;
}

/* ##### STYLING FOR IMAGE MARGINS TO BE NARROWER (IN THUMBNAIL, FRAME, AND FRAMELESS FORMAT) ##### */
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Frame"] {
	margin: 0.5em 0 0 1.4em;
}
figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Frame"].mw-halign-left {
	margin: 0.5em 1.4em 0 0;
}
figure[typeof~="mw:File/Frameless"].mw-halign-right {
	margin: 0 0 0 1em;
}
figure[typeof~="mw:File/Frameless"].mw-halign-left {
	margin: 0 1em 0 0;
}